import { RouterView } from 'vue-router';

export default {
    path: '/department',
    name: 'Department',
    meta: {
        title: 'department',
        icon: 'vn:greuge',
        moduleName: 'Department',
    },
    component: RouterView,
    redirect: { name: 'WorkerDepartment' },
    menus: {
        main: [],
        card: ['DepartmentBasicData'],
    },
    children: [
        {
            name: 'DepartmentCard',
            path: 'department/:id',
            component: () => import('src/pages/Department/Card/DepartmentCard.vue'),
            redirect: { name: 'DepartmentSummary' },
            children: [
                {
                    name: 'DepartmentSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                        icon: 'launch',
                    },
                    component: () =>
                        import('src/pages/Department/Card/DepartmentSummary.vue'),
                },
                {
                    name: 'DepartmentBasicData',
                    path: 'basic-data',
                    meta: {
                        title: 'basicData',
                        icon: 'vn:settings',
                    },
                    component: () =>
                        import('src/pages/Department/Card/DepartmentBasicData.vue'),
                },
            ],
        },
    ],
};
