import { RouterView } from 'vue-router';

export default {
    path: '/invoice-out',
    name: 'InvoiceOut',
    meta: {
        title: 'invoiceOuts',
        icon: 'vn:invoice-out',
        moduleName: 'InvoiceOut',
    },
    component: RouterView,
    redirect: { name: 'InvoiceOutMain' },
    menus: {
        main: ['InvoiceOutList', 'InvoiceOutGlobal', 'InvoiceOutNegativeBases'],
        card: [],
    },
    children: [
        {
            path: '',
            name: 'InvoiceOutMain',
            component: () => import('src/pages/InvoiceOut/InvoiceOutMain.vue'),
            redirect: { name: 'InvoiceOutList' },
            children: [
                {
                    path: 'list',
                    name: 'InvoiceOutList',
                    meta: {
                        title: 'list',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/InvoiceOut/InvoiceOutList.vue'),
                },
                {
                    path: 'global-invoicing',
                    name: 'InvoiceOutGlobal',
                    meta: {
                        title: 'globalInvoicing',
                        icon: 'Date_Range',
                    },
                    component: () => import('src/pages/InvoiceOut/InvoiceOutGlobal.vue'),
                },
                {
                    path: 'negative-bases',
                    name: 'InvoiceOutNegativeBases',
                    meta: {
                        title: 'negativeBases',
                        icon: 'vn:ticket',
                    },
                    component: () =>
                        import('src/pages/InvoiceOut/InvoiceOutNegativeBases.vue'),
                },
            ],
        },
        {
            name: 'InvoiceOutCard',
            path: ':id',
            component: () => import('src/pages/InvoiceOut/Card/InvoiceOutCard.vue'),
            redirect: { name: 'InvoiceOutSummary' },
            children: [
                {
                    name: 'InvoiceOutSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                    },
                    component: () =>
                        import('src/pages/InvoiceOut/Card/InvoiceOutSummary.vue'),
                },
            ],
        },
    ],
};
